## API Report File for "@genesislcap/foundation-header"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { Auth } from '@genesislcap/foundation-comms';
import { Controller } from '@microsoft/fast-element';
import { CredentialManager } from '@genesislcap/foundation-comms';
import { ElementStyles } from '@microsoft/fast-element';
import { EmitOptions } from '@genesislcap/foundation-events';
import { EmitReturn } from '@genesislcap/foundation-events';
import { FoundationRouteNavItem } from '@genesislcap/foundation-router';
import { I18next } from '@genesislcap/foundation-i18n';
import { InterfaceSymbol } from '@microsoft/fast-foundation';
import { PartialFASTElementDefinition } from '@microsoft/fast-element';
import { SyntheticViewTemplate } from '@microsoft/fast-element';
import { TemplateElementDependency } from '@genesislcap/foundation-ui';
import { ViewTemplate } from '@microsoft/fast-element';

// @public
export function configure(config: Partial<HeaderConfig>): Promise<Navigation>;

// @public
export const defaultHeaderConfig: HeaderConfig;

// Warning: (ae-internal-missing-underscore) The name "DynamicTemplate" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const DynamicTemplate: ViewTemplate<Navigation>;

// @public
export type ElementTargetId = HeaderTargetId | NavTargetId | SideNavTargetId;

// @public
export class FoundationHeader extends Navigation {
    // (undocumented)
    loadRemotes(): Promise<void>;
}

// Warning: (ae-internal-mixed-release-tag) Mixed release tags are not allowed for "HeaderConfig" because one of its declarations is marked as @internal
//
// @public
export interface HeaderConfig extends PartialFASTElementDefinition {
    // Warning: (ae-forgotten-export) The symbol "TemplateOptions" needs to be exported by the entry point index.d.ts
    templateOptions: TemplateOptions;
}

// @internal
export const HeaderConfig: InterfaceSymbol<HeaderConfig>;

// @public
export type HeaderTargetId = 'header-start' | 'header' | 'header-end';

// @public
export type LanguageOptions = {
    availableLanguages: string[];
    selectedLanguage: string;
};

// Warning: (ae-internal-missing-underscore) The name "LoadingTemplate" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const LoadingTemplate: ViewTemplate<Navigation>;

// @public
export const MainStyles: ElementStyles;

// Warning: (ae-internal-missing-underscore) The name "MainTemplate" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const MainTemplate: ViewTemplate<Navigation>;

// @public
export type NavEventDetailMap = {
    'luminance-icon-clicked': void;
    'misc-icon-clicked': void;
    'notification-icon-clicked': void;
    'language-changed': void;
};

// Warning: (ae-forgotten-export) The symbol "Navigation_base" needs to be exported by the entry point index.d.ts
//
// @public
export class Navigation extends Navigation_base {
    // (undocumented)
    auth: Auth;
    changeLanguage(e: CustomEvent): void;
    // @internal
    closeNav(): void;
    // (undocumented)
    connectedCallback(): Promise<void>;
    // (undocumented)
    credentialManager: CredentialManager;
    // (undocumented)
    headerConfig: HeaderConfig;
    hideSideBar: boolean;
    // (undocumented)
    i18next: I18next;
    // @internal (undocumented)
    isUserPermitted(permission: string): boolean;
    // (undocumented)
    languageOptions: LanguageOptions;
    // @internal
    loadRemotes(): Promise<void>;
    // (undocumented)
    logoAltText: string;
    logoSrc: any;
    logout(): Promise<void>;
    // @internal
    luminanceIconEvent(): void;
    // @internal
    miscIconEvent(): void;
    navigateTo(path: string): void;
    // @internal
    notificationIconEvent(): void;
    // (undocumented)
    ready: boolean;
    // @deprecated
    routeButtons: Array<{
        index: number;
        path: string;
        title: string;
        icon: string;
        variant: string;
    }>;
    // @internal (undocumented)
    routeButtonsChanged(): void;
    routeNavItems: FoundationRouteNavItem[];
    // (undocumented)
    selectTemplate(): ViewTemplate<Navigation, any>;
    showConnectionIndicator: boolean;
    showLanguageSelector: boolean;
    showLuminanceToggleButton: boolean;
    showMiscToggleButton: boolean;
    // @deprecated
    showNotificationsButton: boolean;
    // @internal (undocumented)
    showNotificationsButtonChanged(): void;
    // (undocumented)
    sideNavOpen: boolean;
    // @internal
    toggleNavVisibility(): void;
    toLocalisedText(text: string): string;
    userName: string;
}

// @public
export type NavTargetId = 'nav-start' | 'nav' | 'nav-end';

// @public
export const NavTemplate: ViewTemplate<Navigation, any>;

// @public
export type SideNavTargetId = 'side-nav-start' | 'side-nav' | 'side-nav-end';

// @public
export type StyleTargetId = 'header';

// @public
export class ZeroHeader extends Navigation {
}

// (No @packageDocumentation comment for this package)

```
